Bug 35946 - Check/Implement valid instance state changes for instances
Check/Implement valid instance state changes for instances
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Virtualization - UVMM
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0
Assigned To: Erik Damrose
Stefan Gohmann
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-09-17 11:15 CEST by Erik Damrose
Modified: 2014-11-26 06:55 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Erik Damrose univentionstaff 2014-09-17 11:15:24 CEST
Check again which state transitions are supported by libcloud, and show the options in the umc module. See also Bug 35824
Comment 1 Erik Damrose univentionstaff 2014-10-16 15:57:00 CEST
Recheck wording: EC2 uses terminate etc..
Comment 2 Andreas Peichert univentionstaff 2014-10-23 17:51:13 CEST
Terminated EC2 instances have "nostate". So the Start-button, start, edit and delete options should not be accessible in the fronted.
Comment 3 Erik Damrose univentionstaff 2014-10-28 12:16:34 CET
r13928 libcloud: Improve Openstack state mapping (paused + suspended)
r55010 univention-virtual-machine-manager-daemon (4.0.4-2)
 + introducing an icon for terminated instances
 + support restart (hard/soft), shutdown, pause/suspend, resume
r55011 translations
Comment 4 Erik Damrose univentionstaff 2014-10-31 10:22:32 CET
r55195 Fixed incorrect state transition when restarting an EC2 instance.

I think we need to add a confirmation dialog for certain request in the UVMM module.
Comment 5 Stefan Gohmann univentionstaff 2014-11-04 17:42:46 CET
OK, looks good.
Comment 6 Stefan Gohmann univentionstaff 2014-11-26 06:55:18 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".